<?php
/*
======================
Saalioksjoni esemete
kuvamine
======================
*/
include_once ROOT . 'admin/objects/ese.class.php';
include_once ROOT . 'admin/objects/pilt.class.php';

$ese = new Ese($db);
$image = new Pilt($db);

$ese->kataloogi_id = $kataloog->id;
$stmt = $ese->loeKataloogist();
$num = $stmt->rowCount();
?>
<?php

// Kuvame kõik saalioksjoni kataloogis sisalduvad esemed
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $eseme_id = $id;
        $image->tabel = "img_saal";
        $stmt_img = $image->readOneSaal($eseme_id);
        if(mb_strlen($nimi)>13){
            $nime_thumbnail = mb_substr($nimi, 0, 11)."...";
        } else {
            $nime_thumbnail = $nimi;
        }
        echo "<div class='col-sm-2'><div class='thumbnail'>";

        $row_img = $stmt_img->fetch(PDO::FETCH_ASSOC);
        extract($row_img);
        echo "<img src='".HTTP."admin/img/saal/{$eseme_id}/thumbnail_{$nimi}' alt=''>";
        echo "<div class='caption'>";
        extract($row);
        echo "<center><h4><a href='ese.php?kataloog={$kataloogi_id}&id={$id}'>{$nime_thumbnail}";
        echo "</a></h4><h4>{$alghind}€</h4>";
        echo "

        <a href='ese.php?kataloog={$kataloogi_id}&id={$id}' class='btn btn-info'>Kuva ese</a>
        ";
        echo "</div></div></div>";
    }
}
else{
    echo "<center><h4>Kataloog on tühi.</h4></center>";
}
?>
</div>
<?php
include ROOT."footer.php";
?>